<app-splash-screen *ngIf="start == true"></app-splash-screen>
<nz-layout *ngIf="start == false" class="app-layout">
  <span class="top-header" #top></span>
  <nz-sider nzCollapsible (click)="stateNav()" [(nzCollapsed)]="isCollapsed" [nzBreakpoint]="'xs'" [nzCollapsedWidth]="0">
    <div class="logo">
      <img class="logo-desktop" src="assets/logo/only_text.png">
    </div>
    <ul nz-menu nzTheme="dark" nzMode="inline" [nzInlineCollapsed]="isCollapsed">
      <div (click)="toggleCollapsed()" class="only-mobile">
      <li nz-menu-item nz-tooltip nzPlacement="right" [routerLink]="['/','home']" >
        <i nz-icon nzType="home"></i>
        <span>Accueil</span>
      </li>
      <li nz-menu-item nz-tooltip nzPlacement="right" [routerLink]="['/','forum']">
        <i nz-icon nzType="radar-chart"></i>
        <span>Forum</span>
      </li>
      <li nz-menu-item nz-tooltip nzPlacement="right" [routerLink]="['/','tutorial']">
        <i nz-icon nzType="html5"></i>
        <span>Tutorial</span>
      </li>
      <li nz-menu-item nz-tooltip nzPlacement="right" [routerLink]="['/','login']">
        <i nz-icon nzType="login"></i>
        <span>Login</span>
      </li>
    </div>
      <li [(nzOpen)]="openMap.sub1" (nzOpenChange)="openHandler('sub1')" nz-submenu nzTitle="JavaScript">
        <ul>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','angular']"><img class="brand-logo"
              src="https://img.icons8.com/color//000000/angularjs.png">Angular</li>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','vue-js']"><img class="brand-logo"
              src="https://img.icons8.com/color/48/000000/vue-js.png">Vue.JS</li>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','react']"><img class="brand-logo"
              src="https://img.icons8.com/plasticine/100/000000/react.png">React</li>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','js']"><img class="brand-logo"
              src="https://img.icons8.com/color/48/000000/javascript.png">JS</li>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','jquery']"><img class="brand-logo-i"
              src="https://img.icons8.com/color/48/000000/jquery.png">jQuery</li>
        </ul>
      </li>
      <li [(nzOpen)]="openMap.sub2" (nzOpenChange)="openHandler('sub2')" nz-submenu nzTitle="PHP">
        <ul>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','symfony']"><img class="brand-logo"
              src="https://img.icons8.com/color/48/000000/symfony.png">Symfony</li>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','php']"><img class="brand-logo"
              src="https://img.icons8.com/offices/30/000000/php-logo.png">PHP 7</li>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','laravel']"><img class="brand-logo-i"
              src="https://img.icons8.com/windows/32/000000/laravel.png">Laravel</li>
        </ul>
      </li>
      <li [(nzOpen)]="openMap.sub3" (nzOpenChange)="openHandler('sub3')" nz-submenu nzTitle="CMS">
        <ul>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','prestashop']"><img class="brand-logo"
              src="https://image.flaticon.com/icons/svg/825/825533.svg">PrestaShop</li>
          <li nz-menu-item nzMatchRouter="true" [routerLink]="['/','wordpress']"><img class="brand-logo"
              src="https://img.icons8.com/doodle/48/000000/wordpress--v1.png">WordPress</li>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','joomla']"><img class="brand-logo"
              src="https://img.icons8.com/color/48/000000/joomla.png">Joomla</li>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','drupal']"><img class="brand-logo"
              src="https://img.icons8.com/color/48/000000/drupal.png">Drupal</li>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','magento']"><img class="brand-logo"
              src="https://img.icons8.com/nolan/64/magento.png"> Magento</li>
        </ul>
      </li>
      <li [(nzOpen)]="openMap.sub4" (nzOpenChange)="openHandler('sub4')" nz-submenu nzTitle="Editeur de document">
        <ul>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','markdown']"><img class="brand-logo"
              src="https://img.icons8.com/nolan/32/markdown.png">Markdown</li>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','asciidoc']"><img class="brand-logo"
              src="https://img.icons8.com/officel/48/000000/doc.png">AsciiDoc</li>
        </ul>
      </li>
      <li [(nzOpen)]="openMap.sub5" (nzOpenChange)="openHandler('sub5')" nz-submenu nzTitle="CSS">
        <ul>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','css']"><img class="brand-logo"
              src="https://img.icons8.com/officel/50/000000/css.png">CSS</li>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','sass']"><img class="brand-logo-i"
              src="https://img.icons8.com/windows/48/000000/sass.png">SASS</li>
        </ul>
      </li>
      <li [(nzOpen)]="openMap.sub6" (nzOpenChange)="openHandler('sub6')" nz-submenu nzTitle="Andoid & iOS App">
        <ul>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','ionic']"><img class="brand-logo-i"
              src="https://img.icons8.com/ios/50/000000/ionic.png">Ionic</li>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','flutter']"><img class="brand-logo"
              src="https://img.icons8.com/color/48/000000/flutter.png">Flutter</li>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','vue-native']"><img class="brand-logo"
              src="https://img.icons8.com/color/48/000000/vue-js.png">Vue Native</li>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','react-native']"><img class="brand-logo"
              src="https://img.icons8.com/plasticine/100/000000/react.png">React Native</li>
        </ul>
      </li>
      <li [(nzOpen)]="openMap.sub7" (nzOpenChange)="openHandler('sub7')" nz-submenu nzTitle="SQL">
        <ul>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','mysql']"><img class="brand-logo"
              src="https://img.icons8.com/dusk/64/000000/sql.png">MySQL</li>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','mongodb']"><img class="brand-logo"
              src="https://img.icons8.com/color/64/000000/mongodb.png">MongoDB</li>
        </ul>
      </li>
      <li [(nzOpen)]="openMap.sub8" (nzOpenChange)="openHandler('sub8')" nz-submenu nzTitle="Python">
        <ul>
          <li (click)="toggleCollapsed()" nz-menu-item nzMatchRouter="true" [routerLink]="['/techno','python']"><img class="brand-logo"
              src="https://img.icons8.com/color/48/000000/python.png">Python 2 & 3</li>
        </ul>
      </li>
    </ul>
  </nz-sider>
  <nz-layout class="body-content">
    <nz-header>
      <app-navbar></app-navbar>
    </nz-header>
    <router-outlet></router-outlet>
    <nz-footer class="mobile-footer">
      <app-footer></app-footer>
    </nz-footer>
  </nz-layout>
  <nz-layout class="body2 hidden">
    <div class="display-logo hidden"></div>
    <div>
      <p class="footer2">All rights reserved® 2020</p>
    </div>
  </nz-layout>
</nz-layout>